<template>
    <div>
        <router-link
            v-for="pokemon in pokemons"
            :key="pokemon.id"
            :to="`/pokemon/${pokemon.id}`"
            class="pokemon"
        >
            <img :src="pokemon.sprites.front_default" :alt="pokemon.name">
        </router-link>
    </div>
</template>

<script setup>
    import { defineProps } from 'vue';

    defineProps({
        pokemons: Array
    })    
</script>

<style src="./PokemonList.scss" lang="scss" scoped></style>
